## pt-websocket 0.2

=== Makefile ===
DESTDIR =
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
VERSION = 0.1

GOBUILDFLAGS =
# Alternate flags to use gccgo, allowing cross-compiling for x86 from
# x86_64, and presumably better optimization. Install this package:
#   apt-get install gccgo-multilib
# GOBUILDFLAGS = -compiler gccgo -gccgoflags "-O3 -m32 -static-libgo"

all: pt-websocket-server/pt-websocket-server

pt-websocket-server/pt-websocket-server: pt-websocket-server/*.go websocket/*.go
	cd pt-websocket-server && go build $(GOBUILDFLAGS)

pt-websocket-client/pt-websocket-client: pt-websocket-client/*.go
	cd pt-websocket-client && go build $(GOBUILDFLAGS)

doc/pt-websocket-server.1: pt-websocket-server/pt-websocket-server
	help2man --no-info --name "WebSocket server pluggable transport" --version-string "$(VERSION)" -o "$@" "$<"

install: pt-websocket-server/pt-websocket-server
	mkdir -p "$(DESTDIR)$(BINDIR)"
	cp -f "$<" "$(DESTDIR)$(BINDIR)"

clean:
	rm -f pt-websocket-server/pt-websocket-server pt-websocket-client/pt-websocket-client
	rm -f doc/pt-websocket-server.1

fmt:
	go fmt ./pt-websocket-server ./pt-websocket-client ./websocket

.PHONY: all install clean fmt

=== debian/changelog ===
pt-websocket (0.2-9) unstable; urgency=medium

  * Export a writable home directory. (Closes: #952330)
  * Respect nocheck in DEB_BUILD_OPTIONS.
  * Update Vcs-Git and Vcs-Browser.
  * Specify Rules-Requires-Root: no.
  * Drop unused "lack of hardening" Lintian overrides.
  * Drop some boilerplate in debian/rules.
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Sun, 23 Feb 2020 16:34:24 -0800

pt-websocket (0.2-8) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:33:57 +0100

pt-websocket (0.2-7) unstable; urgency=medium

  * Team upload.
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 09 Feb 2018 20:07:52 +0100

pt-websocket (0.2-6) unstable; urgency=medium

  * Team upload.

  * Declare compliance with policy version 4.1.3
    * Update debian/copyright to refer to the text of the CC0 license in
      /usr/share/common-licenses

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 14 Jan 2018 15:34:00 +0100

pt-websocket (0.2-5) unstable; urgency=medium

  * Team upload.

  * debian/watch: Fix URL
  * Lintian
    * Remove unused override
    * Override hardening-related warnings
      These do not make sense for Go binaries.
  * Switch to debhelper 10
  * Declare compliance with policy version 4.1.2
    * debian/copyright: Use HTTPS URI for the file format
    * Compliance with 4.1.3 pending on base-files shipping the CC0 license

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 11 Jan 2018 12:54:16 +0100

pt-websocket (0.2-4) unstable; urgency=medium

  * Team upload.

  [ Ximin Luo ]
  * Update debian/watch

  [ Petter Reinholdtsen ]
  * Added homepage url to d/control file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Aug 2016 16:11:15 +0200

pt-websocket (0.2-3) unstable; urgency=medium

  * Use updated build dependency.

 -- Ximin Luo <infinity0@debian.org>  Wed, 18 May 2016 20:22:54 +0200

pt-websocket (0.2-2) unstable; urgency=medium

  * Change import to new golang.org/x/net/websocket. (Closes: #822385)
  * Update to latest Standards-Version. No changes required.

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 May 2016 19:55:57 +0200

pt-websocket (0.2-1) unstable; urgency=low

  * Initial release (Closes: #739626)

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 01 Jun 2014 13:40:19 +0200

=== debian/control ===
Source: pt-websocket
Section: net
Priority: optional
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 10), dh-golang, golang-go, help2man,
 golang-goptlib-dev, golang-golang-x-net-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/pt-websocket.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/pt-websocket
#Secondary mirror here:
#Vcs-Browser: https://gitweb.torproject.org/debian/pt-websocket.git
Homepage: https://gitweb.torproject.org/pluggable-transports/websocket.git
XS-Go-Import-Path: git.torproject.org/pluggable-transports/websocket
Rules-Requires-Root: no

Package: pt-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: WebSocket pluggable transport - server
 Pluggable transports are tools that transform a stream of application traffic
 into a different format on the network. This helps to bypass network-level
 censorship.
 .
 This package contains a server transport plugin that accepts connections
 transformed to look like the websocket protocol. This is typically used to
 enhance systems like Tor, to provide service even to censored users.
 .
 See flashproxy-client for a corresponding client transport plugin, meant for
 users to bypass censorship, that is compatible with the websocket protocol that
 this package expects.
 .
 (The source package also contains a websocket-client transport plugin, but
 this is just a demo that is less effective than flashproxy-client, and not
 meant to be used in real situations.)

=== debian/rules ===
#!/usr/bin/make -f

export HOME = $(CURDIR)
export DH_GOPKG := git.torproject.org/pluggable-transports/websocket
export DH_GOPKG_SUBDIRS := websocket pt-websocket-server

DH_BUILDDIR = obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	cd $(DH_BUILDDIR) && GOPATH=$$PWD go install -v $(DH_GOPKG_SUBDIRS:%=$(DH_GOPKG)/%)
	make doc/pt-websocket-server.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(DH_BUILDDIR) && GOPATH=$$PWD go test -v $(DH_GOPKG_SUBDIRS:%=$(DH_GOPKG)/%)
endif

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/pt-websocket/usr/share/gocode

override_dh_auto_clean:
	dh_auto_clean
	make clean

override_dh_compress:
	dh_compress -X /examples/

=== debian/watch ===
version=4
opts=downloadurlmangle=s/tag\/\?h=([\w\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*tag\/\?h=([\w\.]+)/websocket-$1.tar.gz/ \
  https://gitweb.torproject.org/pluggable-transports/websocket.git/refs  ^.*tag\/\?h=([\w\.]+)
